import { AnchoredCategorySeries } from "./AnchoredCategorySeries";
import { NumericXAxis } from "./NumericXAxis";
import { CategoryYAxis } from "./CategoryYAxis";
import { IVerticalAnchoredCategorySeriesInteractionManager } from "./IVerticalAnchoredCategorySeriesInteractionManager";
import { Type, Point } from "igniteui-react-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { Axis } from "./Axis";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { NumericAxisBase } from "./NumericAxisBase";
import { ScalerParams } from "./ScalerParams";
import { AxisRange } from "./AxisRange";
import { Rect } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
/**
 * @hidden
 */
export declare abstract class VerticalAnchoredCategorySeries extends AnchoredCategorySeries {
    static $t: Type;
    xAxis: NumericXAxis;
    yAxis: CategoryYAxis;
    ci(): SeriesPlotAreaMarginHorizontalMode;
    cj(): SeriesPlotAreaMarginVerticalMode;
    oz(): void;
    private abu;
    get abv(): IVerticalAnchoredCategorySeriesInteractionManager;
    protected get_isVertical(): boolean;
    yj(): CategoryAxisBase;
    yz(): NumericAxisBase;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    j6(a: Point, b: boolean): number;
    j8(a: Point, b: boolean): number;
    im(a: Point, b: number, c: Axis, d: ScalerParams, e: number): number;
    ay(a: Rect): AxisRange;
    protected b0(): SeriesHitTestMode;
    wi(a: Point): Rect;
    private ab3;
    gu(a: Point, b: boolean): boolean;
    i3(a: Point, b: boolean, c: boolean): number;
    v5(a: Point, b: boolean, c: boolean): Point;
    fetchXAxis(): Axis;
    fetchYAxis(): Axis;
    aa7(a: Axis): void;
    aa8(a: Axis): void;
    zf(): boolean;
    yd(a: number, b: number): any[];
    ip(a: Point): number;
    zj(a: Point): number;
    j1(a: Point): number;
    kl(a: Point): any;
    protected q4(a: any, b: string, c: any, d: any): void;
    aby(a: any): boolean;
    abx(a: any): boolean;
    get useHighMarkerFidelity(): boolean;
    static $$p: string[];
}
